Skip to main content
GET
/
customers
/
{customer_id}
Get customer
curl --request GET \
  --url https://api.lava.so/v1/customers/{customer_id} \
  --header 'Authorization: Bearer <token>'
{
  "customer_id": "con_test_01KKM3W4FSAMD0H1YHE399HR5M",
  "contact": {
    "phone": "+14155552671",
    "email": "user@example.com",
    "first_name": "Jane",
    "last_name": "Smith"
  },
  "subscription": {
    "subscription_id": "<string>",
    "plan_id": "<string>",
    "name": "<string>",
    "status": "active"
  },
  "created_at": "2023-05-15T08:35:42Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'

Path Parameters

customer_id
string
required

Customer ID

Response

Customer details

customer_id
string
required

Unique identifier for the customer

Example:

"con_test_01KKM3W4FSAMD0H1YHE399HR5M"

contact
object
required
subscription
object
required

Active subscription summary, or null if none

created_at
string<date-time>
required

ISO 8601 timestamp when the customer was created

Example:

"2023-05-15T08:35:42Z"